package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.ApplicantResumeService;
import com.engine.recruit.service.impl.ApplicantResumeServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/09/20
 * @version: 1.0
 */
public class ApplicantResumeWrapper extends Service {
    private ApplicantResumeService getApplicantResumeService(User user) {
        return ServiceUtil.getService(ApplicantResumeServiceImpl.class, user);
    }

    public Map<String, Object> getApplicantsName(String ids) {
        return getApplicantResumeService(user).getApplicantsName(ids);
    }

    public Map<String, Object> getInterviewInfoById(String id) {
        return getApplicantResumeService(user).getInterviewInfoById(id);
    }

    public Map<String, Object> getDisplayLayoutId(Map<String, Object> params) {
        return getApplicantResumeService(user).getDisplayLayoutId(params);
    }

    public Map<String, Object> getTabCount(Map<String, Object> params) {
        return getApplicantResumeService(user).getTabCount(params);
    }

    public Map<String, Object> updateApplicantsInfo(Map<String, Object> params) {
        return getApplicantResumeService(user).updateApplicantsInfo(params);
    }


    public Map<String, Object> checkRepeatResume(Map<String, Object> params) {
        return getApplicantResumeService(user).checkRepeatResume(params);
    }

    public Map<String, Object> getResumeCardInfo(Map<String, Object> params) {
        return getApplicantResumeService(user).getResumeCardInfo(params);
    }

    public String getResumeListStatus(Map<String, Object> params) {
        return getApplicantResumeService(user).getResumeListStatus(params);
    }

    public Map<String, Object> updateResumeListStatus(Map<String, Object> params) {
        return getApplicantResumeService(user).updateResumeListStatus(params);
    }
}
